org.apache.fop.complexscripts.bidi

## Class BidiClass

- java.lang.Object
- - org.apache.fop.complexscripts.bidi.BidiClass

-     public final class BidiClass
      extends java.lang.Object

  Bidirectional class utilities.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getBidiClass(int ch)` Lookup bidi class for character expressed as unicode scalar value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getBidiClass

          public static int getBidiClass(int ch)

      Lookup bidi class for character expressed as unicode scalar value.
      Parameters:
        `ch` - a unicode scalar value
      Returns:
        bidi class

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.